Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTabWidget.TabPosition

    java.lang.Object
      java.lang.Enum<QTabWidget.TabPosition>
          com.trolltech.qt.gui.QTabWidget.TabPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTabWidget.TabPosition>

Enclosing class:
  QTabWidget

    public static enum QTabWidget.TabPosition

extends java.lang.Enum<QTabWidget.TabPosition>
implements QtEnumerator

This enum type defines where `QTabWidget` draws the tab row:

Constant | Value | Description
--- | --- | ---
`North` | `0` | The tabs are drawn above the pages.
`South` | `1` | The tabs are drawn below the pages.
`West` | `2` | The tabs are drawn to the left of the pages.
`East` | `3` | The tabs are drawn to the right of the pages.

Enum Constant Summary
`East` The tabs are drawn to the right of the pages.
`North` The tabs are drawn above the pages.
`South` The tabs are drawn below the pages.
`West` The tabs are drawn to the left of the pages.

Method Summary
`static QTabWidget.TabPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabWidget.TabPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTabWidget.TabPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### North

    public static final QTabWidget.TabPosition North

  The tabs are drawn above the pages.

### South

    public static final QTabWidget.TabPosition South

  The tabs are drawn below the pages.

### West

    public static final QTabWidget.TabPosition West

  The tabs are drawn to the left of the pages.

### East

    public static final QTabWidget.TabPosition East

  The tabs are drawn to the right of the pages.

Method Detail

### values

    public static final QTabWidget.TabPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTabWidget.TabPosition c : QTabWidget.TabPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTabWidget.TabPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabWidget.TabPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD